# pion::PluginManager< PLUGIN_TYPE >::PluginNotFoundException Class Reference

`#include <PluginManager.hpp>`

Inherits pion::PionException.

List of all members.

## Detailed Description

### template<typename PLUGIN_TYPE>
class pion::PluginManager< PLUGIN_TYPE >::PluginNotFoundException

exception thrown if a plug-in cannot be found

Definition at line 35 of file PluginManager.hpp.

## Public Member Functions

| PluginNotFoundException (const std::string &plugin_id)

The documentation for this class was generated from the following file:

- common/include/pion/PluginManager.hpp